cascading.management

## Class DocumentServiceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.CascadingException
        - - cascading.management.DocumentServiceException

All Implemented Interfaces:
  java.io.Serializable

    public class DocumentServiceException
    extends CascadingException

Exception DocumentServiceException is thrown from within a `DocumentService` instance.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DocumentServiceException()`
`DocumentServiceException(java.lang.String string)`
`DocumentServiceException(java.lang.String string, java.lang.Throwable throwable)`
`DocumentServiceException(java.lang.Throwable throwable)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DocumentServiceException

    public DocumentServiceException()

#### DocumentServiceException

    public DocumentServiceException(java.lang.String string)

#### DocumentServiceException

    public DocumentServiceException(java.lang.String string,
                            java.lang.Throwable throwable)

#### DocumentServiceException

    public DocumentServiceException(java.lang.Throwable throwable)